{% extends 'catalog/base.html' %}

{% block title %} Profile {% endblock %}

{% block main %}
    <section>
        <div class="container">
            <div class="row">
                <div class="col-lg-4">
                    <div class="card mb-4">
                        <div class="card-body text-center">
                            <img src="{{ user.profile.image.url}}"
                                 alt="avatar" class="rounded-circle img-fluid" style="width: 150px;">
                            <h5 class="my-3">
                                {{ det1.first_name.value }} {{ det1.last_name.value }} </h5>
                            <p class="text-muted mb-1">Role {{ user }} </p>
                            <p class="text-muted mb-4">{{ det2.address.value }}</p>
                            <div class="d-flex justify-content-center mb-2">
                                <a href="{% url 'edit' %}" class="btn btn-primary">Edit profile</a>
                                <a href="{% url 'orders_history' %}" class="btn btn-primary">Orders
                                    History</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="card mb-4">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-sm-3">
                                    <p class="mb-0">Full Name</p>
                                </div>
                                <div class="col-sm-9">
                                    <p class="text-muted mb-0"> {{ det1.first_name.value }} {{ det1.last_name.value }} </p>
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-sm-3">
                                    <p class="mb-0">Email</p>
                                </div>
                                <div class="col-sm-9">
                                    <p class="text-muted mb-0">{{ det1.email.value }}</p>
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-sm-3">
                                    <p class="mb-0">Mobile</p>
                                </div>
                                <div class="col-sm-9">
                                    <p class="text-muted mb-0">{{ det2.phone.value }} </p>
                                </div>
                            </div>
                            <hr>
                            <div class="row">
                                <div class="col-sm-3">
                                    <p class="mb-0">Address</p>
                                </div>
                                <div class="col-sm-9">
                                    <p class="text-muted mb-0"> {{ det2.address.value }} </p>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>
{% endblock %}